aws-0.24.4: Amazon Web Services (AWS) for Haskell

Safe Haskell | None
Language | Haskell2010

Aws.Iam.Commands.ListUserPolicies

Synopsis

- data ListUserPolicies = ListUserPolicies {
  - lupUserName :: Text
  - lupMarker :: Maybe Text
  - lupMaxItems :: Maybe Integer
  }
- data ListUserPoliciesResponse = ListUserPoliciesResponse {
  - luprPolicyNames :: [Text]
  - luprIsTruncated :: Bool
  - luprMarker :: Maybe Text
  }

# Documentation

data ListUserPolicies Source #

Lists the user policies associated with the specified user.

http://docs.aws.amazon.com/IAM/latest/APIReference/API_ListUserPolicies.html

Constructors

ListUserPolicies |

Fields

- lupUserName :: Text

  Policies associated with this user will be listed.

- lupMarker :: Maybe Text

  Used for paginating requests. Marks the position of the last request.

- lupMaxItems :: Maybe Integer

  Used for paginating requests. Specifies the maximum number of items to return in the response. Defaults to 100.

#### Instances

Instances details

SignQuery ListUserPolicies Source # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Associated Types

type ServiceConfiguration ListUserPolicies |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ServiceConfiguration ListUserPolicies = IamConfiguration

Methods

signQuery :: ListUserPolicies -> ServiceConfiguration ListUserPolicies queryType -> SignatureData -> SignedQuery Source #

Show ListUserPolicies Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods showsPrec :: Int -> ListUserPolicies -> ShowS Source # show :: ListUserPolicies -> String Source # showList :: [ListUserPolicies] -> ShowS Source #
Eq ListUserPolicies Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods (==) :: ListUserPolicies -> ListUserPolicies -> Bool Source # (/=) :: ListUserPolicies -> ListUserPolicies -> Bool Source #
Ord ListUserPolicies Source # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Methods

compare :: ListUserPolicies -> ListUserPolicies -> Ordering Source #

(<) :: ListUserPolicies -> ListUserPolicies -> Bool Source #

(<=) :: ListUserPolicies -> ListUserPolicies -> Bool Source #

(>) :: ListUserPolicies -> ListUserPolicies -> Bool Source #

(>=) :: ListUserPolicies -> ListUserPolicies -> Bool Source #

max :: ListUserPolicies -> ListUserPolicies -> ListUserPolicies Source #

min :: ListUserPolicies -> ListUserPolicies -> ListUserPolicies Source #

IteratedTransaction ListUserPolicies ListUserPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods nextIteratedRequest :: ListUserPolicies -> ListUserPoliciesResponse -> Maybe ListUserPolicies Source #
ResponseConsumer ListUserPolicies ListUserPoliciesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Associated Types

type ResponseMetadata ListUserPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ResponseMetadata ListUserPoliciesResponse = IamMetadata

Methods

responseConsumer :: Request -> ListUserPolicies -> IORef (ResponseMetadata ListUserPoliciesResponse) -> HTTPResponseConsumer ListUserPoliciesResponse Source #

Transaction ListUserPolicies ListUserPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies
type ServiceConfiguration ListUserPolicies Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ServiceConfiguration ListUserPolicies = IamConfiguration

data ListUserPoliciesResponse Source #

Constructors

ListUserPoliciesResponse |

Fields

- luprPolicyNames :: [Text]

  List of policy names.

- luprIsTruncated :: Bool

  `True` if the request was truncated because of too many items.

- luprMarker :: Maybe Text

  Marks the position at which the request was truncated. This value must be passed with the next request to continue listing from the last position.

#### Instances

Instances details

AsMemoryResponse ListUserPoliciesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Associated Types

type MemoryResponse ListUserPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type MemoryResponse ListUserPoliciesResponse = ListUserPoliciesResponse

Methods

loadToMemory :: ListUserPoliciesResponse -> ResourceT IO (MemoryResponse ListUserPoliciesResponse) Source #

Show ListUserPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods showsPrec :: Int -> ListUserPoliciesResponse -> ShowS Source # show :: ListUserPoliciesResponse -> String Source # showList :: [ListUserPoliciesResponse] -> ShowS Source #
Eq ListUserPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods (==) :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> Bool Source # (/=) :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> Bool Source #
Ord ListUserPoliciesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Methods

compare :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> Ordering Source #

(<) :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> Bool Source #

(<=) :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> Bool Source #

(>) :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> Bool Source #

(>=) :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> Bool Source #

max :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> ListUserPoliciesResponse Source #

min :: ListUserPoliciesResponse -> ListUserPoliciesResponse -> ListUserPoliciesResponse Source #

IteratedTransaction ListUserPolicies ListUserPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies Methods nextIteratedRequest :: ListUserPolicies -> ListUserPoliciesResponse -> Maybe ListUserPolicies Source #
ResponseConsumer ListUserPolicies ListUserPoliciesResponse Source # |

Instance details

Defined in Aws.Iam.Commands.ListUserPolicies

Associated Types

type ResponseMetadata ListUserPoliciesResponse |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ResponseMetadata ListUserPoliciesResponse = IamMetadata

Methods

responseConsumer :: Request -> ListUserPolicies -> IORef (ResponseMetadata ListUserPoliciesResponse) -> HTTPResponseConsumer ListUserPoliciesResponse Source #

Transaction ListUserPolicies ListUserPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies
type MemoryResponse ListUserPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type MemoryResponse ListUserPoliciesResponse = ListUserPoliciesResponse
type ResponseMetadata ListUserPoliciesResponse Source # |
Instance details Defined in Aws.Iam.Commands.ListUserPolicies type ResponseMetadata ListUserPoliciesResponse = IamMetadata